Raritan / Server Technology Xerus™ PDU JSON-RPC API: bulkrpc::BulkRequest Interface Reference

Raritan / Server Technology Xerus™ PDU JSON-RPC API

Classes | Public Member Functions | List of all members
bulkrpc::BulkRequest Interface Reference

Bulk Request Interface. More...

`import"BulkRequest.idl";`

## Classes
struct | Request
| JSON-RPC Request. More...
struct | Response
| JSON-RPC Response. More...

## Public Member Functions
void | performRequest (in vector< bulkrpc::Request > requests, out vector< bulkrpc::Response > responses)
| Performs a Bulk Request in old format (deprectated). More...
void | performBulk (in vector< Request > requests, out vector< Response > responses)
| Performs a Bulk Request. More...
void | performBulkTimeout (in vector< Request > requests, out vector< Response > responses, in int timeoutMs)
| Performs a Bulk Request with Timeout. More...

## Detailed Description

Bulk Request Interface.

## Member Function Documentation

## ◆ performBulk()

void bulkrpc::BulkRequest::performBulk | ( | in vector< Request > | requests,
|  | out vector< Response > | responses
| ) |  |

Performs a Bulk Request.

Bulk requests are used to perform multiple JSON-RPC requests at once, i.e. with a single HTTP POST request.

Parameters

  requests | List of RPC requests
  responses | Result: List of RPC responses

## ◆ performBulkTimeout()

void bulkrpc::BulkRequest::performBulkTimeout | ( | in vector< Request > | requests,
|  | out vector< Response > | responses,
|  | in int | timeoutMs
| ) |  |

Performs a Bulk Request with Timeout.

Warning
  This method is currently not supported!

Bulk requests are used to perform multiple JSON-RPC requests at once, i.e. with a single HTTP POST request. Processing will be aborted early if the timeout is exceeded. In this case the response list will be shorter than the requests list. Requests without response have not been processed and must be resent.

Parameters

  requests | List of RPC requests
  responses | Result: List of RPC responses
  timeoutMs | Maximum processing time in milliseconds

Note
  Requests are processed atomically, and the timeout is only checked between requests. The total processing time may be slightly longer than the specified timeout.

## ◆ performRequest()

void bulkrpc::BulkRequest::performRequest | ( | in vector< bulkrpc::Request > | requests,
|  | out vector< bulkrpc::Response > | responses
| ) |  |

Performs a Bulk Request in old format (deprectated).

Bulk requests are used to perform multiple JSON-RPC requests at once, i.e. with a single HTTP POST request.

Parameters

  requests | List of RPC requests
  responses | Result: List of RPC responses

The documentation for this interface was generated from the following file:

- BulkRequest.idl